<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>UART Driver Error code</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">UART Driver Error code<div class="ingroups"><a class="el" href="group___u_a_r_t___d_r_i_v_e_r.html">UART Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga923b8674ce5729a0838d61b668824b27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga923b8674ce5729a0838d61b668824b27"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___u_a_r_t___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga923b8674ce5729a0838d61b668824b27">UART_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_UART_BASE-1)</td></tr>
<tr class="memdesc:ga923b8674ce5729a0838d61b668824b27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga923b8674ce5729a0838d61b668824b27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56f63f4ad4979c54f65119fce0ca10d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga56f63f4ad4979c54f65119fce0ca10d8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___u_a_r_t___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga56f63f4ad4979c54f65119fce0ca10d8">UART_EINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_UART_BASE-2)</td></tr>
<tr class="memdesc:ga56f63f4ad4979c54f65119fce0ca10d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be implemented because a previous operation is still not complete. <br /></td></tr>
<tr class="separator:ga56f63f4ad4979c54f65119fce0ca10d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1513f8f6691830cec887ebf9bda38f97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga1513f8f6691830cec887ebf9bda38f97"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___u_a_r_t___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga1513f8f6691830cec887ebf9bda38f97">UART_ENOTIMPL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_UART_BASE-3)</td></tr>
<tr class="memdesc:ga1513f8f6691830cec887ebf9bda38f97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation is not implemented. <br /></td></tr>
<tr class="separator:ga1513f8f6691830cec887ebf9bda38f97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Base error code for the UART module is defined in the </p><div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
